Update conditional firewall bypass
PUT
/__remote/api.vercel.com/v1/security/firewall/bypass/rulesUpdate a conditional firewall bypass rule for a project domain. Replaces conditions and the note for the domain's existing rule. Omitting
note clears it. The rule ID, domain, creator, and creation time are preserved. Missing or deleted rules are not created./__remote/api.vercel.com/v1/security/firewall/bypass/rules
const response = await fetch('/__remote/api.vercel.com/v1/security/firewall/bypass/rules?projectId=string&slug=string&teamId=string', { method: 'PUT', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "domain": "string", "conditionGroup": [ { "conditions": [ { "type": "user_agent", "op": "eq", "value": "string", "key": "user-agent" } ] } ], "note": "string" }),});
const data = await response.json();console.log(data);Response
{ "condition": "string", "conditionGroup": [ { "conditions": [ { "key": "string", "neg": "false", "op": "eq", "type": "bot_category", "value": "string" } ] } ], "createdAt": "string", "domain": "string", "id": "icfg_1234567890", "note": "string", "projectId": "example_id", "updatedAt": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error